#!/bin/sh
 
echo    "# Checking if device is powered on"

mcu=$(cat /tmp/mcu_data)
searchstring="\"C\":1"
power=${mcu#*$searchstring}

if [ $power != $mcu ]; then
  echo ">>> Device is plugged in, won't exit"
  exit 0
fi

clients=0

echo "# Checking to see if there are any clients"
for interface in `iwinfo | grep ESSID | cut -f 1 -s -d" "`
do
  # for each interface, get mac addresses of connected stations/clients
  maclist=`iwinfo $interface assoclist | grep dBm | cut -f 1 -s -d" "`
  # for each mac address in that list...
  for mac in $maclist
  do
    ip=`cat /tmp/dhcp.leases | cut -f 2,3,4 -s -d" " | grep -i $mac | cut -f 2 -s -d" "`
    if [ ! -z "$ip" ]; then
      clients=$((clients+1))
    fi
  done
done

if [ $clients -ne 0 ]; then
  echo ">>> Devices are connected, won't exit"
  exit 0
fi

echo ">>> Not plugged in, no devices, shutting down"

echo {"poweroff": "1"} >/tmp/mcu_message &&killall -17 e750-mcu

